Information Exposure Affecting org.jboss.genericjms:generic-jms-ra-jar package, versions [,2.0.8)


0.0
medium

Snyk CVSS

    Attack Complexity Low
Expand this section
NVD
5.3 medium

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-JAVA-ORGJBOSSGENERICJMS-1045362
  • published 25 Nov 2020
  • disclosed 25 Nov 2020
  • credit Unknown

How to fix?

Upgrade org.jboss.genericjms:generic-jms-ra-jar to version 2.0.8 or higher.

Overview

org.jboss.genericjms:generic-jms-ra-jar is a JBoss Generic JMS RA JAR

Affected versions of this package are vulnerable to Information Exposure. Resource adapter logs plain text JMS password at warning level on connection error, inserting sensitive information in the log file.